@echo off
cls
echo The \BIOS directory contains three bios image files
echo (tft.rom, stn.rom, mono.rom)  for three different panels.
echo.
echo Make sure your BIOS images was included in the \BIOS directory.
echo If you want to use different version of bios from the files contained
echo in the \BIOS directory , first copy them into \BIOS directory
echo with the same filenames in the \BIOS directory.
echo.
echo   *** You must not use write protect with this disk ****
echo.
echo T  update BIOS for TFT  PANEL
echo M  update BIOS for MONO PANEL
echo S  update BIOS for STN  PANEL
echo C  skip update BIOS and Continue
echo.
choice /c:tmsc /tc,5 Choose an option
if errorlevel 4 goto usage
if errorlevel 3 goto stn
if errorlevel 2 goto mono
if errorlevel 1 goto tft
goto usage
:tft
FLASHROM TFT.PRG
goto End

:mono
FLASHROM MONO.PRG
goto End

:stn
FLASHROM STN.PRG
goto End

:usage
@echo usage: flash   ; for update TS38 SYSTEM BIOS
:End
